## GODocControl GODocControl |

## Synopsis

                        GODocControl;
                        GODocControlClass;
    #define             GO_TYPE_DOC_CONTROL
    #define             GO_DOC_CONTROL                      (o)
    #define             GO_IS_DOC_CONTROL                   (o)
    enum                GODocControlState;
    GType               go_doc_control_get_type             (void);
    GODoc *             go_doc_control_get_doc              (GODocControl *dc);
    void                go_doc_control_set_doc              (GODocControl *dc,
                                                             GODoc *doc);

## Object Hierarchy

      GObject
       +----GODocControl

## Description

## Details

### GODocControl

    typedef struct _GODocControl GODocControl;

### GODocControlClass

    typedef struct {
    	GObjectClass base;
    } GODocControlClass;

### GO_TYPE_DOC_CONTROL

    #define GO_TYPE_DOC_CONTROL	    (go_doc_control_get_type ())

### GO_DOC_CONTROL()

    #define GO_DOC_CONTROL(o)	    (G_TYPE_CHECK_INSTANCE_CAST ((o), GO_TYPE_DOC_CONTROL, GODocControl))

`o` : |

### GO_IS_DOC_CONTROL()

    #define GO_IS_DOC_CONTROL(o)	    (G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_TYPE_DOC_CONTROL))

`o` : |

### enum GODocControlState

    typedef enum {
    	GO_DOC_CONTROL_STATE_NORMAL = 0,
    	GO_DOC_CONTROL_STATE_FULLSCREEN,
    	GO_DOC_CONTROL_STATE_MAX
    } GODocControlState;

### go_doc_control_get_type ()

    GType               go_doc_control_get_type             (void);

Returns : |

### go_doc_control_get_doc ()

    GODoc *             go_doc_control_get_doc              (GODocControl *dc);

`dc` : |
Returns : |

### go_doc_control_set_doc ()

    void                go_doc_control_set_doc              (GODocControl *dc,
                                                             GODoc *doc);

`dc` : |
`doc` : |